import * as RadixSwitch from "@radix-ui/react-switch";
export type SwitchProps = RadixSwitch.SwitchProps & {
    label?: string;
};
export declare const Switch: import('react').ForwardRefExoticComponent<RadixSwitch.SwitchProps & {
    label?: string;
} & import('react').RefAttributes<HTMLButtonElement>>;
